NOTICE: This package no longer exists in Ports


./devel/eclipse/plugins/struts-console [configuration tool for Struts web framework]

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 4.8, Package name: eclipse-plugin-struts-console-4.8
Maintained by: Ian Darwin
Master sites:
Description
"The Struts Console is a free (to use) Java application for developing
and managing Struts-based applications. With the Struts Console you
can visually edit JSP Tag Library, Struts, Tiles and Validator
configuration files.

"The Struts Console can be used standalone and also plugs into most
popular Java IDEs for seamless management of Struts applications
from one central development tool. This port enables its use in Eclipse.

"Features
* Full support for JSP Tag Library files (*.tld)
* Full support for Struts 1.0 - 1.2 config files
* Full support for Tiles config files
* Full support for Validator 1.0 and 1.1 config files
* Plugin support for many popular Java IDEs"


Filesize: 2276.007 KB
Version History (View Complete History)
  • (2016-11-07) Package deleted from Ports
  • (2007-09-29) Package added to openports.se, version eclipse-plugin-struts-console-4.8 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2016-11-06 13:51:35 by Landry Breuil | Files touched by this commit (114)
Log message:
Retire devel/eclipse, 3.2.2 is from 2007, and probably doesn't cope well
with 'modern java' we have now. Oh, and it also depends on ruby/1.8.
It might come back as there's a 4.2.2 port in openbsd-wip, but it isn't
from 2013 and not finished yet.
If you need a fullblown java IDE, there's intellij (maintained) and
netbeans (updated in 2010, but pending work by rafael sadowski ?).
'light the torch' ian@ & agreed by kili@
   2016-11-06 13:51:35 by Landry Breuil | Files touched by this commit (114)
Log message:
Retire devel/eclipse, 3.2.2 is from 2007, and probably doesn't cope well
with 'modern java' we have now. Oh, and it also depends on ruby/1.8.
It might come back as there's a 4.2.2 port in openbsd-wip, but it isn't
from 2013 and not finished yet.
If you need a fullblown java IDE, there's intellij (maintained) and
netbeans (updated in 2010, but pending work by rafael sadowski ?).
'light the torch' ian@ & agreed by kili@
   2016-11-06 13:51:35 by Landry Breuil | Files touched by this commit (114)
Log message:
Retire devel/eclipse, 3.2.2 is from 2007, and probably doesn't cope well
with 'modern java' we have now. Oh, and it also depends on ruby/1.8.
It might come back as there's a 4.2.2 port in openbsd-wip, but it isn't
from 2013 and not finished yet.
If you need a fullblown java IDE, there's intellij (maintained) and
netbeans (updated in 2010, but pending work by rafael sadowski ?).
'light the torch' ian@ & agreed by kili@
   2016-11-06 13:51:35 by Landry Breuil | Files touched by this commit (114)
Log message:
Retire devel/eclipse, 3.2.2 is from 2007, and probably doesn't cope well
with 'modern java' we have now. Oh, and it also depends on ruby/1.8.
It might come back as there's a 4.2.2 port in openbsd-wip, but it isn't
from 2013 and not finished yet.
If you need a fullblown java IDE, there's intellij (maintained) and
netbeans (updated in 2010, but pending work by rafael sadowski ?).
'light the torch' ian@ & agreed by kili@
   2010-11-26 00:19:01 by Marc Espie | Files touched by this commit (122)
Log message:
newer depends with >=
   2010-11-15 12:46:10 by Marc Espie | Files touched by this commit (706)
Log message:
move depends to new style